HuffmanDecoder Class Reference

Huffman Decoder. More...

## Classes

class | Err

## Public Types

enum | { MAX_CODE_BITS = sizeof(code_t)*8 }
typedef unsigned int | code_t
typedef unsigned int | value_t

## Public Member Functions

| HuffmanDecoder (const unsigned int *codeBitLengths, unsigned int nCodes)
void | Initialize (const unsigned int *codeBitLengths, unsigned int nCodes)
unsigned int | Decode (code_t code, value_t &value) const
bool | Decode (LowFirstBitReader &reader, value_t &value) const

## Friends

struct | CodeLessThan

## Detailed Description

Huffman Decoder.

Since
  Crypto++ 1.0

Definition at line 39 of file zinflate.h.

The documentation for this class was generated from the following files:

- zinflate.h
- zinflate.cpp